Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class DataType

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.DataType

public class DataType
extends Object

An enumeration of `Parameter` data types.

Field Summary
`static DataType` | `ANY` Any scalar type or XML content.
`static DataType` | `BOOLEAN` Type 'boolean' or 'Boolean'.
`static DataType` | `CHAR` Type 'char' or 'Character'.
`static DataType` | `DOUBLE` Type 'double' or 'Double'.
`static DataType` | `FLOAT` Type 'float' or 'Float'.
`static DataType` | `INT` Type 'int' or 'Integer'.
`static DataType` | `LONG` Type 'long' or 'Long'.
`static DataType` | `SHORT` Type 'short' or 'Short'.
`static DataType` | `STRING` Type 'String' (where preceding and trailing whitespace IS significant).
`static DataType` | `STRUCT` A structured parameter.
`static DataType` | `TRIMMED_STRING` Type 'String' (where preceding and trailing whitespace IS ignored).

Method Summary
`Class` | `getJavaClass()`
`String` | `toString()` Returns a string representation of this type (e.g., 'int', 'string', 'boolean').

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHAR

    public static final DataType CHAR

  Type 'char' or 'Character'.

### STRING

    public static final DataType STRING

  Type 'String' (where preceding and trailing whitespace IS significant).

### TRIMMED_STRING

    public static final DataType TRIMMED_STRING

  Type 'String' (where preceding and trailing whitespace IS ignored).

### SHORT

    public static final DataType SHORT

  Type 'short' or 'Short'.

### INT

    public static final DataType INT

  Type 'int' or 'Integer'.

### LONG

    public static final DataType LONG

  Type 'long' or 'Long'.

### FLOAT

    public static final DataType FLOAT

  Type 'float' or 'Float'.

### DOUBLE

    public static final DataType DOUBLE

  Type 'double' or 'Double'.

### BOOLEAN

    public static final DataType BOOLEAN

  Type 'boolean' or 'Boolean'.

### STRUCT

    public static final DataType STRUCT

  A structured parameter. Requires Java 1.4 or later.

### ANY

    public static final DataType ANY

  Any scalar type or XML content. No type validation is performed.

Method Detail

### getJavaClass

    public Class getJavaClass()

### toString

    public String toString()

  Returns a string representation of this type (e.g., 'int', 'string', 'boolean').

  Returns:
    will not return `null```

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD